\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - STL Extensions for CGAL

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
CGAL::Compact Class Reference
Utilities

`#include <CGAL/Complexity_tags.h>`

## Definition

`Compact` is a tag class.

It can be used to parameterize a complexity policy in order to specify a particularly memory compact variant of an algorithm. For example, passing `Location_policy<Compact>` as parameter to `Delaunay_triangulation_3` selects a slower point location which saves memory.

Is Model Of:

  `DefaultConstructible`

  `CopyConstructible`

See Also
  `Location_policy`
  `Fast`
  `Fast_location`
  `Compact_location`